SuSE 11.3 Security Update : gnutls (SAT Patch Number 8949)

Medium Nessus Plugin ID 72797


The remote SuSE 11 host is missing one or more security updates.


The GnuTLS library received a critical security fix and other updates :

- The X.509 certificate verification had incorrect error handling, which could lead to broken certificates marked as being valid. (CVE-2014-0092)

- A verification problem in handling V1 certificates could also lead to V1 certificates incorrectly being handled.
Additionally a memory leak in PSK authentication has been fixed. (bnc#835760). (CVE-2009-5138)


Apply SAT patch number 8949.

See Also

Plugin Details

Severity: Medium

ID: 72797

File Name: suse_11_gnutls-140227.nasl

Version: $Revision: 1.2 $

Type: local

Agent: unix

Published: 2014/03/04

Modified: 2014/03/10

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:gnutls, p-cpe:/a:novell:suse_linux:11:libgnutls-extra26, p-cpe:/a:novell:suse_linux:11:libgnutls26, p-cpe:/a:novell:suse_linux:11:libgnutls26-32bit, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2014/02/27

Reference Information

CVE: CVE-2009-5138, CVE-2014-0092